Subject: Ticket Assigned - Bad service
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 18 Dec 2020 06:00:34 +0000

Hi Algaili Abdelbagee Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Bad service Hello

My self remya james  I ordered two set of t shirt for my son . Order number
:SD000736057

Estimated delivery on 15/12/2020, yet not received my order, shipa delivery
such a bad courier ,many things I ordered.baby shop center point all the
time its coming via aramex this time its coming shipa .  I contact with
shipa customer service they told me delivery man alrdy left from your
place. He will come other day then he will contact you. What a foolish
answer he says me. This delivery man unable to contact my number.   Any way
I am not satisfied with your service. Really bad

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1881057